#ifndef CALAMARIWINDOW_H
#define CALAMARIWINDOW_H

#include <QtGui/QMainWindow>
#include <QActionGroup>
#include <QList>

class BaseWidget;
class DiffWidget;
class MergeWidget;
class QComboBox;

class CalamariWindow : public QMainWindow
{
    Q_OBJECT

public:
	CalamariWindow(char* file1, char* file2);
    CalamariWindow(char* file1, char* file2, char* file3, char* file4=0);
    ~CalamariWindow();

protected:
	void closeEvent( QCloseEvent* e );

private slots:
	void nil() {};
	void setAutoSize( bool auto );
	void setZoom( int factor );

	void colorOpts();
	void saveOpts();

	void maskToggled( bool );

	void setBrushSize( bool );
	void setEraserSize( bool );

	void diffBaseTheirs();
	void diffBaseYours();

private:
	void initDiffToolbar();
	void initMergeToolbar();

	void addMaskOpts( QToolBar* t );
	void addZoomOpts( QToolBar* t );

	void loadOpts();

	BaseWidget* baseWidget;
	DiffWidget* diffWidget;
	MergeWidget* mergeWidget;

	int zoomFactor;
	QComboBox* zoomList;

	QList<QAction*> maskActions;

	int brushSize;
	int eraserSize;

	QAction* save;

	char* base;
	char* theirs;
	char* yours;
};

#define ZOOM_OFFSET 100

#endif // CALAMARIWINDOW_H
